Bug 23375 - Invalid chars in component names
Invalid chars in component names
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
i386 Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-01-05 02:34 EST by Jesper Skov
Modified: 2013-06-23 23:08 EDT (History)
0 users

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-17 16:40:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jesper Skov 2001-01-05 02:34:08 EST
Using ' in component names (e.g. "User's Guide") causes the javascript
version of the query page to fail with an error. 

JavaScript Error: http://bugzilla.redhat.com/bugzilla/query.cgi?jscript=1,
line 81:

missing ] in index expression. 

cpts['Component Writer's Guide'] = new Array();

JavaScript Error: http://bugzilla.redhat.com/bugzilla/query.cgi?jscript=1,
line 8293:

selectProduct is not defined. 

As a workaround I've changed those component names to use ~ instead of '
Those components are for the RedHat eCos product.
Comment 1 David Lawrence 2006-04-08 13:47:22 EDT
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Note You need to log in before you can comment on or make changes to this bug.